import pygame
from pygame.locals import *
from globals import *
from ball import *

class Rules:
	def __init__(self):
		self.enemy_hit = pygame.mixer.Sound('kwash.wav')
		self.player_hit = pygame.mixer.Sound('ksh.wav')
		self.bullets_hit = pygame.mixer.Sound('chnng.wav')
	def tick(self):
		sprites = pygame.sprite.groupcollide(Global.player_balls, Global.enemy_balls, True, True)
		if not Global.enemy_balls.has(Global.enemy):
			Global.state = Global.GAME_WIN
		if not Global.player_balls.has(Global.player):
			Global.state = Global.GAME_LOSE
			
		if (Global.state == Global.GAME_PLAY):
			player_playing = False
			bullets_playing = False
			enemy_playing = False
		
			for ball in sprites.keys(): #ball is always a player ball
				enemy_shot = False
				for enemy_ball in sprites[ball]:
					if enemy_ball.shooting():
						enemy_shot = True
						break
				if ball.shooting():
					if enemy_shot:
						bullets_playing = True
						self.bullets_hit.play()
					else:
						enemy_playing = True
						self.enemy_hit.play()
				else:
					player_playing = True
					self.player_hit.play()
			